> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save files

> Save new (or update existing) files



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/files
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/files:
    post:
      tags:
        - Files
      summary: Save files
      description: Save new (or update existing) files
      operationId: postFiles
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultiParamFilePostDto'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseFileGetDto'
        '207':
          description: Some files failed to save. See response body for error details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseFileGetDto'
        '400':
          description: All files failed to save.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseFileGetDto'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    MultiParamFilePostDto:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/FilePostDto'
    ResponseListMultiResponseFileGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/MultiResponseFileGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    FilePostDto:
      required:
        - description
      type: object
      properties:
        id:
          type: string
          description: Id of the file, required when updating an existing file
          example: fil_28868401
        entityId:
          type: string
          description: Id of the entity to associate with the file
          nullable: false
          example: btxn_28868401
        description:
          type: string
          description: Description of the file
          nullable: false
          example: Q1 2024 invoice
        notes:
          type: string
          description: Notes for the file
          nullable: false
          example: Received from vendor on 2024-01-15
        date:
          type: string
          description: Date of the file
          format: date
          nullable: false
          example: '2024-01-15'
        amount:
          type: integer
          description: Amount associated with the file in cents
          format: int32
          nullable: false
          example: 15000
        customData:
          $ref: '#/components/schemas/JsonNode'
    MultiResponseFileGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        statusCode:
          $ref: '#/components/schemas/HttpStatus'
        data:
          $ref: '#/components/schemas/FileGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    HttpStatus:
      type: integer
      description: The HTTP status code for the action performed.
      format: int32
      enum:
        - 200
        - 400
        - 401
        - 403
        - 404
        - 500
    FileGetDto:
      required:
        - amount
        - date
        - description
        - entity
        - id
        - notes
        - status
        - url
      type: object
      properties:
        id:
          type: string
          description: Id of the file
          example: fil_28868401
        entity:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/FileEntityExpanded'
        description:
          type: string
          description: Description of the file
          example: Q1 2024 invoice
        notes:
          type: string
          description: Notes for the file
          nullable: true
          example: Received from vendor on 2024-01-15
        url:
          type: string
          description: URL of the uploaded file
          example: https://cdn.sandbox.tight.com/files/fil_28868401.pdf
        date:
          type: string
          description: Date of the file
          format: date
          example: '2024-01-15'
        amount:
          type: integer
          description: Amount associated with the file in cents
          format: int32
          nullable: true
          example: 15000
        status:
          type: string
          description: Status of the file
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    FileEntityExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the entity
          example: btxn_28868401
      description: Entity associated with the file
      nullable: true
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````